// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/SceneComponent.hpp"

namespace Dawn {
  class Map;
  class Entity;
  
  class World : public SceneComponent {
    private:

    public:
      void onInit() override;
      void onDispose() override;

      friend class Map;
      friend class Entity;
  };
}